Subject: Re: Source Format of RFCs

From: Keith Moore <[email-masked]>
Date: Tue, 01 Dec 1998 01:02:19 -0500

> Certainly no arguments on the pro's of ASCII, however as has been pointed
> out, it does make for the conveyence of graphic information problematic.
> Another good alternative however is PDF, which is becoming a pretty
> established standard around the Internet for the publishing of manuals,
> product specifications, etc.   The advantages are that unlike postscript,
> the viewers are freely available, it is a truely portable format, and the
> text can be searched.  

I hate PDF.  It is painful to read PDF documents on my laptop - the text 
is too small to read if I have a whole page on display at once, and 
otherwise I have to enlarge it and scroll each page up and down.  I 
receive a lot of PDF documents that don't want to display properly on 
the viewers that run on my machines.  And while PDF documents can be 
searched, the search tools I've seen do not lend themselves to use 
e.g., to search all RFCs for a particular string.

Given a choice between plain text and PDF, I'll take plain text every time,
unless I want to print the document on paper (something I very rarely do).

I also have my doubts about PDF being readable 20 years from now.

So while I could see PDF as an "alternate" RFC format (as PostScript
is now), I certainly wouldn't want it to replace plain text.
And if we were going to pick a single alternate format, I'd far 
rather have HTML.

> >Until a new format can supplant ascii text for all intents and purposes,
> >there will continue to be a need to produce ascii text versions of RFCs.
> >Many word processors do a very poor job of producing "RFC ASCII"
> >(with margins that allow printing on both A4 and US-Letter paper,
> >no overprinting, and so forth)  Documents written for a wysiwyg
> >word processor are often difficult to read as ASCII, e.g. because
> >the word processor will try to put too many words on a line, or too
> >many characters in a column of a table. (I've seen various versions
> >of this while reviewing RFCs for IESG.)
> 
> 
> Adobe's PDF Viewer (Acrobat) allow for the automatic scaling of documents,
> which lets you print letter on A4 or A4 on letter easily, with no noticible
> changes to the document other than a minor scaling.

Yes, but you're missing the point.  PDF cannot replace ASCII, and PDF
documents are not easily translated to readable ASCII.

> >Then there is a need to make sure that new RFC formats are adequately
> >supported by all of the RFC and internet-drafts mirrors.
> 
> I'm not sure what you mean here.   Why can't rfcxxxx.txt also be published
> as rfcxxxx.pdf as well, similar to how several of the postscript RFC's have
> been?

The mirrors might need to be told to copy the .pdf files as well. 

(last time I looked, there was a lot of crud in the rfc source 
directory that probably shouldn't be copied to mirrors, so it 
might be the case that mirrors know to copy only the rfc*.txt 
and rfc*.ps files)

Also, I wasn't talking specifically about PDF.  For a single-file format 
such as .pdf it might not be so difficult to fix the mirrors, but if
the new format were HTML and it consisted of a directory named rfcxxxx
with files named index.html, pic1.gif, pic2.gif... this might have
a greater impact on the mirrors.

> >For some time I have been interested in exploring the use of HTML
> >for RFCs and Internet-Drafts.  This would provide several advantages,
> >including multifont and multi-faced text in a variety of sizes,
> >hyperlinks, images, and ease of generation with many word processors.
> >HTML is openly published and widely-used, and (provided a few restrictions
> >are observed) one of the few formats which can be read on every platform
> >(and is easily converted to plain text).
> 
> 
> This is certainly another alternative, however HTML lacks the page layout
> capabilities of PDF, which is why you see more product brochures and user
> manuals on the web in this format.   

Yep.  I just wish they'd use more HTML and less PDF. 

Keith

---

From: Keith Moore <[email-masked]>
Date: Tue, 01 Dec 1998 01:02:19 -0500

Keith

---

From: Bob Natale <[email-masked]>
Date: Tue, 01 Dec 1998 08:50:33 -0500

>At 12/1/98:01:02 AM, Keith Moore wrote:

Hi Keith,

<...>
>And if we were going to pick a single alternate format, I'd far 
<...>
>Yep.  I just wish they'd use more HTML and less PDF. 

My experience matches yours...and I agree entirely with your
recommendations and preferences in this matter.

And while I'm on the soapbox here let me also concur with
the views about modern "word processors" being unable to
deal with ASCII import/export in any reasonably elegant
ways...that is *really* baffling...maybe even enough so
to motivate me (or someone else!) to learn how to extend
MS Word with VB and fix this one instance (since I happen
to use Word a lot and am constantly surprised/dismayed at
the results it produces in these two relatively simple
tasks while doing quite well with apparently more complicated
tasks like wrapping stylized text around an imported
link-file image!).

Cordially,

BobN
---- ISO 9001 Registered, H/W & S/W Products| NASDAQ: ACEC -----
Bob Natale          | ACE*COMM              | 301-721-3000 [v]
Dir, Net Mgmt Prod  | 704 Quince Orchard Rd | 301-721-3001 [f]
[email-masked] | Gaithersburg MD 20878 | www.acecomm.com
----- WinSNMP DLL, SDK, Apps & Agents for Win16/32 & UNIX ------
------ WinSNMP specs and sample code at www.winsnmp.com --------

---

From: Bob Natale <[email-masked]>
Date: Tue, 01 Dec 1998 08:50:33 -0500

Hi Keith,

<...>
<...>

Cordially,

BobN
----- WinSNMP DLL, SDK, Apps & Agents for Win16/32 & UNIX ------
------ WinSNMP specs and sample code at www.winsnmp.com --------

---

From: "Perry E. Metzger" <[email-masked]>
Date: Tue, 01 Dec 1998 10:51:03 -0500

"Tim Kehres" writes:
> product specifications, etc.

ASCII documents from 1973 are still viewable. "Rich" formats from 1985 
are often not viewable. Will PDF still be widely supported in 2015? I
have no idea, but my suspicion is that it is a big risk.

> The advantages are that unlike postscript,  the viewers are freely
> available, it is a truely portable format,

I've had PDF that one viewer could read and another couldn't. It isn't 
"truely portable" -- nothing that complicated can be.

Thus far, I've never felt that the RFCs I've read lacked for detail
because they were in ASCII. Indeed, I've often been very grateful that 
they were in ASCII. Lets not complicate our lives.

Perry

---

From: "Perry E. Metzger" <[email-masked]>
Date: Tue, 01 Dec 1998 10:51:03 -0500

Perry

---

From: Ned Freed <[email-masked]>
Date: Tue, 01 Dec 1998 09:05:41 -0800 (PST)

> e.g., to search all RFCs for a particular string.

I agree 100%. And you failed to mention that the scrolling behavior is bad --
slow and jerky -- and this is true even on a 300Mhz Pentium Pro. I find it so
intolerable I generally just print PDF out. But even that doesn't work too well
in many cases, especially when very sophisticated PDF is involved.

As for searching, you know, there has been a bit of progress in this area over
the years, and simple page-oriented searches for simple words just doesn't cut
it any more. I typically use AGREP for quick searches, which gives me boolean
search facilities on plain text as well as controllable tolerance for
misspellings. If there's a button for this in Acrobat I must have missed it.

And then there's indexing. I can and sometimes do build indices for RFCs. I
know of no tool for generating an index over thousands of different PDF
documents.

> unless I want to print the document on paper (something I very rarely do).

I'll take plain text even if I'm printing it out.

> I also have my doubts about PDF being readable 20 years from now.

So do I.

> And if we were going to pick a single alternate format, I'd far

Agreed. I don't think there's much of a question that HTML will be readable
for a very long time.

				Ned

---

From: Ned Freed <[email-masked]>
Date: Tue, 01 Dec 1998 09:05:41 -0800 (PST)

So do I.

				Ned